import {
  createSelector,
  createFeatureSelector,
} from '@ngrx/store';

import { MODULE } from '../auth.constant';

import * as AuthContainerStore from './container/auth';

export interface State {
  auth_container: AuthContainerStore.State;
}

export const REDUCERS = {
  auth_container: AuthContainerStore.reducer,
};

export const EFFECTS = [
];

export const selectState = createFeatureSelector<State>(MODULE.name);

export const AuthContainerSelector = AuthContainerStore.getSelectors(createSelector(
  selectState,
  (state: State) => state.auth_container
));
